Authorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
roles?array<CreateRoleRequest>
Bulk create Roles, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/role/create/batch" \ -H "Content-Type: application/json" \ -d '{}'{ "roles": [ { "name": "string", "description": "string", "permissionNames": [ "string" ], "createdTime": 0, "tenantId": "string", "default": true, "private": true, "id": "string" } ]}export interface Response {roles?: {name?: stringdescription?: stringpermissionNames?: string[]createdTime?: numbertenantId?: stringdefault?: booleanprivate?: booleanid?: string}[]} Was this helpful?
Batch Delete Roles POST
### Delete roles in batch, using a valid management key. This API endpoint allows administrators to delete roles in batch. The endpoint takes the following one parameter: - roleNames (required) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.
Bulk Update Roles POST
Bulk update Roles, using a valid management key.